/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for OphthalmicPhotographyIllumination
 */
public enum EnumCM_OphthalmicPhotographyIllumination 
{
	//CID 4203 Ophthalmic Photography Illumination
		DUAL_DIFFUSE_DIRECT_ILLUMINATION("Dual diffuse direct illumination"),
		FINE_SLIT_BEAM_DIRECT_ILLUMINATION("Fine slit beam direct illumination"),
		BROAD_TANGENTIAL_DIRECT_ILLUMINATION("Broad tangential direct illumination"),
		INDIRECT_SCLEROTIC_SCATTER_ILLUMINATION("Indirect sclerotic scatter illumination"),
		INDIRECT_RETROILLUMINATION_FROM_THE_IRIS("Indirect retroillumination from the iris"),
		INDIRECT_RETROILLUMINATION_FROM_THE_RETINA("Indirect retroillumination from the retina"),
		INDIRECT_IRIS_TRANSILLUMINATION("Indirect iris transillumination"),
		DIFFUSE_DIRECT_ILLUMINATION("Diffuse direct illumination"),
		SCOTOPIC_LIGHT("Scotopic light"),
		MESOPIC_LIGHT("Mesopic light"),
		PHOTOPIC_LIGHT("Photopic light"),
		DYNAMIC_LIGHT("Dynamic light");

	private String value;

	EnumCM_OphthalmicPhotographyIllumination(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return("""" returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
